<template>
  <div class="app-modal" @click="$emit('close')">
    <div class="container" @click.stop>
      <div class="app-modal-wrapper">
        <button @click="$emit('close')">
          <v-icon color="grey">mdi-close</v-icon>
        </button>
        <h3>{{ title }}</h3>
        <slot />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "AppModal",
  props: {
    title: {
      type: String,
    },
  },
};
</script>

<style scoped lang="scss">
.app-modal {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 30000;
  top: 0;
  left: 0;
  background-color: rgba(71, 71, 71, 0.3);
  display: flex;
  align-items: center;
  justify-content: center;
  > .container {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &-wrapper {
    width: 90%;
    height: auto;
    border-radius: 4px;
    padding: ($base-space * 10);
    position: relative;
    overflow: hidden;
    background: $white;
    > button {
      position: absolute;
      right: 16px;
      top: 16px;
    }
    > h3 {
      font-weight: 500;
      font-size: 18px;
      line-height: 18px;
      text-align: center;
      color: #5c5c5c;
      margin: 0 0 ($base-space * 4);
    }
  }
}
</style>
